
Website Monitoring - Bug #2587

Exception: dictionary changed size during iteration

01/15/2020 09:00 PM - Luke Murphey

Status: Closed Start date: 01/15/2020

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.9   

Description

 Traceback (most recent call last):   File "/opt/splunk/etc/apps/website_monitoring/bin/modular_in

put.zip/modular_input/modular_input_base_class.py", line 1092, in execute

     self.do_run(in_stream, log_exception_and_continue=True)   File "/opt/splunk/etc/apps/website_

monitoring/bin/modular_input.zip/modular_input/modular_input_base_class.py", line 973, in do_run

     self.run(stanza, cleaned_params, input_config)   File "/opt/splunk/etc/apps/website_monitorin

g/bin/web_ping.py", line 884, in run

     for thread_stanza in self.threads.keys(): RuntimeError: dictionary changed size during iterat

ion

 

See https://answers.splunk.com/answers/794720/python-issue-runtimeerror-dictionary-changed-size.html

Associated revisions

Revision 520 - 01/15/2020 10:22 PM - luke.murphey

Fixing "dictionary changed size during iteration" error

Reference #2587

History

#1 - 01/15/2020 10:09 PM - Luke Murphey

See https://stackoverflow.com/questions/11941817/how-to-avoid-runtimeerror-dictionary-changed-size-during-iteration-error

#2 - 01/15/2020 10:22 PM - Luke Murphey

- Target version changed from 345 to 2.9

#3 - 01/16/2020 07:03 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
